org.apache.hadoop

## Class CustomOutputCommitter

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputCommitter
  - - org.apache.hadoop.mapred.OutputCommitter
    - - org.apache.hadoop.CustomOutputCommitter

-     public class CustomOutputCommitter
      extends org.apache.hadoop.mapred.OutputCommitter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JOB_ABORT_FILE_NAME`
    `static String` | `JOB_COMMIT_FILE_NAME`
    `static String` | `JOB_SETUP_FILE_NAME`
    `static String` | `TASK_ABORT_FILE_NAME`
    `static String` | `TASK_COMMIT_FILE_NAME`
    `static String` | `TASK_SETUP_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomOutputCommitter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortJob(org.apache.hadoop.mapred.JobContext jobContext, int status)`
    `void` | `abortTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)`
    `void` | `commitJob(org.apache.hadoop.mapred.JobContext jobContext)`
    `void` | `commitTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)`
    `boolean` | `needsTaskCommit(org.apache.hadoop.mapred.TaskAttemptContext taskContext)`
    `void` | `setupJob(org.apache.hadoop.mapred.JobContext jobContext)`
    `void` | `setupTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)`

    - ### Methods inherited from class org.apache.hadoop.mapred.OutputCommitter

      `abortJob, abortTask, cleanupJob, cleanupJob, commitJob, commitTask, isCommitJobRepeatable, isCommitJobRepeatable, isRecoverySupported, isRecoverySupported, isRecoverySupported, needsTaskCommit, recoverTask, recoverTask, setupJob, setupTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOB_SETUP_FILE_NAME

          public static final String JOB_SETUP_FILE_NAME

      See Also:
        Constant Field Values

    - #### JOB_COMMIT_FILE_NAME

          public static final String JOB_COMMIT_FILE_NAME

      See Also:
        Constant Field Values

    - #### JOB_ABORT_FILE_NAME

          public static final String JOB_ABORT_FILE_NAME

      See Also:
        Constant Field Values

    - #### TASK_SETUP_FILE_NAME

          public static final String TASK_SETUP_FILE_NAME

      See Also:
        Constant Field Values

    - #### TASK_ABORT_FILE_NAME

          public static final String TASK_ABORT_FILE_NAME

      See Also:
        Constant Field Values

    - #### TASK_COMMIT_FILE_NAME

          public static final String TASK_COMMIT_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomOutputCommitter

          public CustomOutputCommitter()

  - ### Method Detail

    - #### setupJob

          public void setupJob(org.apache.hadoop.mapred.JobContext jobContext)
                        throws IOException

      Specified by:
        `setupJob` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### commitJob

          public void commitJob(org.apache.hadoop.mapred.JobContext jobContext)
                         throws IOException

      Overrides:
        `commitJob` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### abortJob

          public void abortJob(org.apache.hadoop.mapred.JobContext jobContext,
                               int status)
                        throws IOException

      Overrides:
        `abortJob` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### setupTask

          public void setupTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)
                         throws IOException

      Specified by:
        `setupTask` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### needsTaskCommit

          public boolean needsTaskCommit(org.apache.hadoop.mapred.TaskAttemptContext taskContext)
                                  throws IOException

      Specified by:
        `needsTaskCommit` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### commitTask

          public void commitTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)
                          throws IOException

      Specified by:
        `commitTask` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

    - #### abortTask

          public void abortTask(org.apache.hadoop.mapred.TaskAttemptContext taskContext)
                         throws IOException

      Specified by:
        `abortTask` in class `org.apache.hadoop.mapred.OutputCommitter`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.